Bug 2723 - Missing encoding in generated html manual
Summary: Missing encoding in generated html manual
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: Other (show other bugs)
Version: 3.9.0
Hardware: PC Linux
: P3 normal
Assignee: users
URL: http://www.claws-mail.org/manual/de/c...
Depends on:
Blocks:
 
Reported: 2012-08-21 01:56 CEST by Joerg Schiermeier
Modified: 2012-10-06 08:30 CEST (History)
0 users

See Also:


Attachments
Example of bad enconding: German umlauts are not correct. (29.71 KB, image/png)
2012-08-21 01:56 CEST, Joerg Schiermeier
no flags Details
Add SP_ENCODING at html manual generation (3.09 KB, patch)
2012-08-21 17:11 CEST, Ricardo Mones
no flags Details | Diff
Set encoding in generated HTML (4.28 KB, patch)
2012-08-21 18:19 CEST, Ricardo Mones
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joerg Schiermeier 2012-08-21 01:56:58 CEST
Created attachment 1147 [details]
Example of bad enconding: German umlauts are not correct.

The users handbook is lacking correct informations about its encoding.It need the simple line 

<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />

to get the right encoding. This will go to the HEAD-section of its HTML-code.
Comment 1 Paul 2012-08-21 07:01:46 CEST
this is actually a docbook2html related problem, as the manuals are generated at build time.
Comment 2 Joerg Schiermeier 2012-08-21 16:01:14 CEST
Ok. Is there a solution for it?

Otherwise - this sems to be not a new problem with docbook2html. See:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=400314

I found this solution but did not know if it will help. See:
http://permalink.gmane.org/gmane.text.docbook.apps/17966
Comment 3 Ricardo Mones 2012-08-21 17:11:52 CEST
Created attachment 1148 [details]
Add SP_ENCODING at html manual generation

Adding SP_ENCODING (patch attached) doesn't help much. I only see some improvement on Spanish uppercase accented letters, which are now properly encoded in output. Other manuals do not use utf-8 encoding (well, English, but has no special chars inside), so the output remains unchanged.

Anyway that doesn't add a proper encoding headers to the final HTML document, so not really a solution.
Comment 4 Ricardo Mones 2012-08-21 18:19:37 CEST
Created attachment 1149 [details]
Set encoding in generated HTML

The SP_ENCODING=xml appears more promising, as allows generating all output in UTF-8 regardless the input encoding. A bit of sed does the magic for setting the proper meta tag.
Comment 5 users 2012-08-25 01:20:34 CEST
Changes related to this bug have been committed.
Please check latest CVS and update the bug accordingly.
You can also get the patch from:
http://www.claws-mail.org/tracker/

2012-08-24 [mones]	3.8.1cvs35

	* manual/advanced.xml
		Keep alphabetic order of hidden options lost
		and update Clawsker URL.
	* manual/de/advanced.xml
	* manual/fr/advanced.xml
		Update Clawsker URL.
	* manual/es/advanced.xml
		Sync with English version and update Clawsker URL.
	* manual/de/dist/html/Makefile.am
	* manual/es/dist/html/Makefile.am
	* manual/fr/dist/html/Makefile.am
	* manual/pl/dist/html/Makefile.am
	* manual/dist/html/Makefile.am
		Fix bug 2723 'Missing encoding in generated html manual'